/*
 * Tuxcall -- Call waiting detector for Linux
 * Copyright (C) 2001-2002 Angel Luis Jimenez Martinez
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

void quick_message(gchar *message);


void updateGraph( float value, float limit );

void
on_accion1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_detectar1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ayuda1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_areaDibujo_configure_event          (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_areaDibujo_expose_event             (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_ayuda_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ayuda_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_contestar_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_no_contestar_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_action_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hang_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ignore_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_detect_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_help_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
the_end                                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_drawArea_configure_event            (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawArea_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_ask_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
hide_about                             (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_drawArea_configure_event            (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawArea_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_accept_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_reject_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_drawArea_show                       (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_drawArea_map                        (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_drawArea_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
initGc                                 (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawArea_map_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_callAccept_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_callReject_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_config_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_options_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_confOK_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_confCancel_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_confWin_map                         (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_mainWin_map                         (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_aboutWin_destroy_event              (GtkObject       *object,
                                        gpointer         user_data);

void
on_confWin_destroy                     (GtkObject       *object,
                                        gpointer         user_data);
